Skip to navigation

Get pod metrics data.

View as Markdown
Retrieve pod's metrics data for use in analysis applications.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

workloadIdstringRequiredformat: "uuid"

The Universally Unique Identifier (UUID) of the workload.

podIdstringRequiredformat: "uuid"
The requested pod id.

Query parameters

metricTypelist of enumsRequired
Specify which metric data to request. Advanced GPU metrics are only supported if the 'Advanced GPU Metrics' feature flag in the settings is enabled.
startdatetimeRequired
Start date of time range to fetch data in ISO 8601 timestamp format.
enddatetimeRequired
End date of time range to fetch data in ISO 8601 timestamp format.
numberOfSamplesintegerOptional0-1000Defaults to 20
The number of samples to take in the specified time range.

Response

Executed successfully.
measurementslist of objects
histogramlist of objects or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error